Get file
curl --request GET \
--url https://api.bedrock.cv/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bedrock.cv/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bedrock.cv/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "projects%2Fprj_01JABCD123%2Ffiles%2Fsite-photo.jpg",
"name": "site-photo.jpg",
"uri": "gs://bedrock-files/projects/prj_01JABCD123/files/site-photo.jpg",
"size": 2048576,
"content_type": "image/jpeg",
"last_modified": "2024-06-18T11:00:00Z"
}
}{
"type": "https://docs.bedrock.cv/errors/authentication",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing API key.",
"code": "UNAUTHORIZED",
"request_id": "req_01JABCD123"
}{
"type": "https://docs.bedrock.cv/errors/rate-limit",
"title": "Rate limited",
"status": 429,
"detail": "Rate limit exceeded. Try again in 60 seconds.",
"code": "RATE_LIMITED",
"request_id": "req_01JABCD123"
}Files
Get file
Retrieve details for a specific file.
GET
/
files
/
{file_id}
Get file
Returns the full details for a file, including processing status and download URL.
Related Resources
If the file was processed into a Drawing, thedrawing_id field will contain the ID of the created drawing. Use GET /drawings/{id} to access the drawing and its sheets.Authorizations
BearerAuthApiKeyAuth
API key prefixed with sk_. Example: Authorization: Bearer sk_xxx
Headers
API version
Path Parameters
File ID
Response
Success
Show child attributes
Show child attributes
Example:
{
"id": "projects%2Fprj_01JABCD123%2Ffiles%2Fsite-photo.jpg",
"name": "site-photo.jpg",
"uri": "gs://bedrock-files/projects/prj_01JABCD123/files/site-photo.jpg",
"size": 2048576,
"content_type": "image/jpeg",
"last_modified": "2024-06-18T11:00:00Z"
}
⌘I